Subject: Re: bug#58269: 29.0.50; emacsclient: does not understand that default face was changed

From: Jean Louis <[email-masked]>
Date: Thu, 6 Oct 2022 15:58:00 +0300

* Eli Zaretskii <[email-masked]> [2022-10-06 08:23]:
> > Date: Wed, 5 Oct 2022 22:45:24 +0300
> > From: Jean Louis <[email-masked]>
> > Cc: [email-masked]
> > 
> > > > >   . how did you invoke emacsclient
> > > > 
> > > > >From mutt in Xterm
> > > 
> > > That doesn't tell me enough.  Does mutt use any command-line switches
> > > when it invokes emacsclient, and if so, which ones.
> > 
> > set editor="emacsclient -c"
> 
> So Emacs creates a new frame for the request.  Perhaps something
> resets the default face for future frames?

I have now observed it, I finished with the frame on screen and then
got new emacsclient and font changed to Terminus.

I have not set it to Terminus. I have no idea why.

--
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/